
/*
 * Copyright (c) 2004 Martin Cernohorsky
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions
 * are met:
 * 1. Redistributions of source code must retain the above copyright
 *    notice, this list of conditions and the following disclaimer.
 * 2. Redistributions in binary form must reproduce the above copyright
 *    notice, this list of conditions and the following disclaimer in the
 *    documentation and/or other materials provided with the distribution.
 * 3. The name of the developer may not be used to endorse or promote
 *    products derived from this software without specific prior written
 *    permission.
 *
 * THIS SOFTWARE IS PROVIDED BY THE DEVELOPER ``AS IS'' AND
 * ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
 * IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
 * ARE DISCLAIMED.  IN NO EVENT SHALL THE DEVELOPER BE LIABLE
 * FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
 * DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
 * OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
 * HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
 * LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
 * OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
 * SUCH DAMAGE.
 */

#ifndef _SCR_H_
#define _SCR_H_

#define TERM_BLINK	1
#define TERM_BOLD	2
#define TERM_HALF	3
#define TERM_REVERSE	4
#define TERM_ALL	0
#define TERM_STANDOUT	5
#define TERM_UNDERSCORE	6

/* Prototypy */

int term_init(char *name);
char *term_clear(void);
char *term_goto(int col, int row);
char *term_home(void);
char *term_lastline(void);
char *term_bell(void);
char *term_clear2eod(void);
char *term_clear2eol(void);
char *term_delchar(void);
char *term_delline(void);
char *term_inschar(void);
char *term_attr(int attr);
char *term_attr_off(int attr);
char *term_reset(void);
char *term_savepos(void);
char *term_restorepos(void);
char *term_scrollup(void);
char *term_scrolldown(void);
char *term_cursor_invis(void);
char *term_cursor_vis(void);

#endif /* _SCR_H_ */
